Subject: [PATCH v2] ARM: ks8695: convert to generic time and clocksource

From: [email-masked] (Greg Ungerer)
Date: Tue, 4 Sep 2012 15:24:38 +1000

Hi Linus,

On 09/01/2012 10:14 AM, Linus Walleij wrote:
> On Sat, Sep 1, 2012 at 1:49 AM, Linus Walleij <[email-masked]> wrote:
>
>> Old platforms using ancient gettimeoffset() and other arcane
>> APIs are standing in the way of cleaning up the ARM kernel.
>>
>> This is an attempt at blind-coding a generic time and clocksource
>> driver for the platform by way of a datasheet and looking at the
>> old code, it'd be great if someone who is actually using this
>> machine could test it.
>>
>> If noone volunteers to do this I will instead propose a patch
>> deleting the machine altogether.
>>
>> Signed-off-by: Linus Walleij <[email-masked]>
>> ---
>> ChangeLog v1->v2:
>> - Corrected the mask when setting clockevents from & TMCON_T1EN
>>    to & ~TMCON_T1EN so it doesn't shut down the clock source.
>
> BTW: Greg if this would happen to work - could you try to enable
> CONFIG_TICK_ONESHOT and CONFIG_NO_HZ as well to see
> if we can work fine in oneshot mode as well?

It worked in oneshot mode, if I removed the clocksource init code.
So that looks good too.

Regards
Greg

-- 
------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     gerg at snapgear.com
SnapGear Group, McAfee                      PHONE:       +61 7 3435 2888
8 Gardner Close,                            FAX:         +61 7 3891 3630
Milton, QLD, 4064, Australia                WEB: http://www.SnapGear.com